import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, f = Object.getOwnPropertyDescriptor, c = (l, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? f(t, o) : t, p = l.length - 1, i; p >= 0; p--)
    (i = l[p]) && (e = (s ? i(t, o, e) : i(e)) || e);
  return s && e && u(t, o, e), e;
};
let r = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--thumbsUp", this.class = "c-pieIcon c-pieIcon--thumbsUp", this.name = "IconThumbsUp";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--thumbsUp"><path d="M14.073 7.878a1.51 1.51 0 0 0-.963-.753l-1.96-.481.49-2.415a1.75 1.75 0 0 0-.376-1.479 1.75 1.75 0 0 0-1.374-.656H8.875L6.372 7.239a.21.21 0 0 1-.183.105H1.875v1.312h2.739a12.5 12.5 0 0 0-.21 2.328 9 9 0 0 0 .096 1.61H1.875v1.312h9.065a2.41 2.41 0 0 0 2.24-1.531l1.024-3.272a1.56 1.56 0 0 0-.132-1.225m-1.12.822-1.007 3.22a1.08 1.08 0 0 1-1.006.674H5.856a8 8 0 0 1-.14-1.61 11 11 0 0 1 .236-2.328h.237a1.58 1.58 0 0 0 1.338-.787L9.75 3.406h.175a.473.473 0 0 1 .455.56l-.761 3.64 3.176.814a.24.24 0 0 1 .14.105.22.22 0 0 1 .018.175"></path></svg>`;
  }
};
c([
  h({ type: String, reflect: !0 })
], r.prototype, "size", 2);
c([
  h({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = c([
  m("icon-thumbs-up")
], r);
export {
  r as IconThumbsUp
};
